import request from '@/utils/request'

// 查询直播观众列表
export function listImLiveViewer(query) {
  return request({
    url: '/service/imLiveViewer/list',
    method: 'get',
    params: query
  })
}

// 查询直播观众详细
export function getImLiveViewer(id) {
  return request({
    url: '/service/imLiveViewer/' + id,
    method: 'get'
  })
}

// 新增直播观众
export function addImLiveViewer(data) {
  return request({
    url: '/service/imLiveViewer',
    method: 'post',
    data: data
  })
}

// 修改直播观众
export function updateImLiveViewer(data) {
  return request({
    url: '/service/imLiveViewer',
    method: 'put',
    data: data
  })
}

// 删除直播观众
export function delImLiveViewer(id) {
  return request({
    url: '/service/imLiveViewer/' + id,
    method: 'delete'
  })
}
